package org.softwarepipelines.config;

import org.softwarepipelines.config.exception.ConfigException;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;


/**
 * @author Andy Grove
 */
public class DynamicConfigFactory {
    public static DynamicConfig load(InputStream is) throws ConfigException {
        return new DynamicConfigImpl(is);
    }

    public static DynamicConfig load(File file)
        throws ConfigException, IOException {
        return load(new FileInputStream(file));
    }
}
