package org.softwarepipelines.config;

import org.softwarepipelines.config.exception.ConfigException;

import org.w3c.dom.Element;

import java.util.List;


/**
 * Dynamic access to XML configuration data.
 *
 * @author Andy Grove
 */
public interface DynamicConfig {
    public String getString(String path) throws ConfigException;

    List<Element> getElements(String s) throws ConfigException;
}
