package org.softwarepipelines.examples.pbcor.acctdb;

/**
 * Object-relational mapping class for the account table.
 */
public class Account {
	
	/* Account Number */
	protected long acctNum;
	
	/* Balance */
	protected float balance;
	
	/* PIN required for authentication */
	protected int pin;
	
	/* Branch id */
	protected int branchId;
	
	/**
	 * Default constructor.
	 */
	public Account() {		
	}

	public long getAcctNum() {
		return acctNum;
	}

	public void setAcctNum(long acctNum) {
		this.acctNum = acctNum;
	}

	public float getBalance() {
		return balance;
	}

	public void setBalance(float balance) {
		this.balance = balance;
	}

	public int getPin() {
		return pin;
	}

	public void setPin(int pin) {
		this.pin = pin;
	}

	public int getBranchId() {
		return branchId;
	}

	public void setBranchId(int branchId) {
		this.branchId = branchId;
	}
}
