package org.softwarepipelines.framework.springws;

import java.rmi.Remote;
import java.rmi.RemoteException;

import org.softwarepipelines.framework.message.AbstractMessage;

public interface PipelinesDistributorRemote extends Remote {
	
	/**
     * Invoke a void service via web service call.
     */
    public void invokeVoid(final AbstractMessage msg) throws RemoteException;
    
    /**
     * Invoke a return service via web service call.
     */
    public AbstractMessage invokeReturn(final AbstractMessage msg) throws RemoteException;

}
