package org.softwarepipelines.framework.util;

/**
 * Thread-safe counter for measuring throughput.
 */
public class Counter {

    private long count = 0;

    public synchronized void next() {
        count++;
    }

    public synchronized long reset() {
        long ret = count;
        count = 0;
        return ret;
    }
}
